Create a Listing
API reference for /api/v2/listing/vehicle
API reference for /api/v1/listing/vehicle
Use the listing/vehicle endpoint to create or update a listing.
Listings are identified for update by matching identificationDetails.stockNumber.
Example Request (V2 - Asynchronous)
Section titled “Example Request (V2 - Asynchronous)”The V2 endpoint immediately returns a 202 Accepted with a transactionId that can be used to track the status.
POST /api/v2/listing/vehicleAuthorization: Bearer eyJh...usDMContent-Type: application/json
{ "status": "available", "branch": "christchurch", "vehicleDetails": { "make": "Toyota", "model": "Corolla", "year": 2026, "transmission": "Automatic", "fuelType": "Petrol", "odometer": 85348 }, "identificationDetails": { "stockNumber": "C2026" }}Example Request (V1 - Synchronous)
Section titled “Example Request (V1 - Synchronous)”POST /api/v1/listing/vehicleAuthorization: Bearer eyJh...usDMContent-Type: application/json
{ "status": "available", "branch": "christchurch", "vehicleDetails": { "make": "Toyota", "model": "Corolla", "year": 2026, "transmission": "Automatic", "fuelType": "Petrol", "odometer": 85348 }, "identificationDetails": { "stockNumber": "C2026" }}Vehicle Detail Mapping
Section titled “Vehicle Detail Mapping”Many fields in our database have values mapped to normalised values, for example make, model, bodyType, etc.
For example, "color": "Soul Red" and "color": "Abarth Red" are both mapped to "color": "Red".